.catalog-sections-grid__price-overlay,
.product-grid__price-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 10;
  pointer-events: none;
}

.catalog-sections-grid__preview,
.product-grid__preview ul {
  z-index: 20;
}

.catalog-sections-grid__preview > img,
.product-grid__preview li {
  position: relative;
  z-index: 21;
}

.catalog-sections-grid__price-text,
.product-grid__price-text {
  color: #fff;
  font-size: 24px;
  font-weight: bold;
  text-align: center;
  padding: 10px;
}

.catalog-sections-grid__preview-container,
.product-grid__image {
  position: relative;
}

@media (min-width: 769px) {
  .catalog-sections-grid__table .catalog-sections-grid__item:hover .catalog-sections-grid__price-overlay,
  .catalog-sections-grid:not(.catalog-sections-grid__list) .catalog-sections-grid__item:hover .catalog-sections-grid__price-overlay,
  .product-grid:not(.product-grid--list) .product-grid__item:hover .product-grid__price-overlay {
    display: flex;
  }
}

@media (max-width: 768px) {
  .catalog-sections-grid__table .catalog-sections-grid__price-overlay.active,
  .catalog-sections-grid:not(.catalog-sections-grid__list) .catalog-sections-grid__price-overlay.active,
  .product-grid:not(.product-grid--list) .product-grid__price-overlay.active {
    display: flex;
  }

  .catalog-sections-grid:not(.catalog-sections-grid__list) .catalog-sections-grid__item.price-preview-active .catalog-sections-grid__preview {
    display: flex;
  }

  .product-grid:not(.product-grid--list) .product-grid__item.price-preview-active .product-grid__preview ul {
    display: grid;
  }
}

.catalog-sections-grid__list:not(.catalog-sections-grid__table) .catalog-sections-grid__price-overlay,
.product-grid--list .product-grid__price-overlay {
  display: none !important;
}
